Subject: Re: bug#58694: `sudo --login guix pull` fails

From: zimoun <[email-masked]>
Date: Sat, 26 Nov 2022 11:04:26 +0100

Hi,

On Fri, 21 Oct 2022 at 23:53, Rostislav Svoboda <[email-masked]> wrote:
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> \sha256 hash mismatch for
> /gnu/store/n2d3rwbvrlag5c1spv1b73vvg9w2r8cw-autoconf-2.69.tar.xz:
>   expected hash: 113nlmidxy9kjr45kg9x3ngar4951mvag1js2a3j8nxcz34wxsv4
>   actual hash:   1sb0709wirgkag5zcv8c72l4xc5g4qhr6syxf8w8i4vhnjsdg2hp
> hash mismatch for store item
> '/gnu/store/n2d3rwbvrlag5c1spv1b73vvg9w2r8cw-autoconf-2.69.tar.xz'
> build of /gnu/store/xijrkm01sqviaqkgfd1r7gjipzpfxkbz-autoconf-2.69.tar.xz.drv
> failed

Well, I do not know what happened.  It works for me and I get:

--8<---------------cut here---------------start------------->8---
$ guix build /gnu/store/xijrkm01sqviaqkgfd1r7gjipzpfxkbz-autoconf-2.69.tar.xz.drv
1.2 MB will be downloaded:
  /gnu/store/n2d3rwbvrlag5c1spv1b73vvg9w2r8cw-autoconf-2.69.tar.xz
substituting /gnu/store/n2d3rwbvrlag5c1spv1b73vvg9w2r8cw-autoconf-2.69.tar.xz...
downloading from https://ci.guix.gnu.org/nar/n2d3rwbvrlag5c1spv1b73vvg9w2r8cw-autoconf-2.69.tar.xz ...
 autoconf-2.69.tar.xz  1.2MiB                                              533KiB/s 00:02 [##################] 100.0%

/gnu/store/n2d3rwbvrlag5c1spv1b73vvg9w2r8cw-autoconf-2.69.tar.xz

$ guix hash /gnu/store/n2d3rwbvrlag5c1spv1b73vvg9w2r8cw-autoconf-2.69.tar.xz
113nlmidxy9kjr45kg9x3ngar4951mvag1js2a3j8nxcz34wxsv4
--8<---------------cut here---------------end--------------->8---

> View build log at
> '/var/log/guix/drvs/xi/jrkm01sqviaqkgfd1r7gjipzpfxkbz-autoconf-2.69.tar.xz.drv.bz2'.
> building /gnu/store/971s9hm3armq58qxfiigs1pkmc35ynj3-CUnit-2.1-3.tar.bz2.drv...
> Backtrace:
>           13 (primitive-load
> "/gnu/store/45qgzlh67nvkwl7ms1g5h7nxq5yavw2i-compute-guix-derivation")

[...]

> guix pull: error: You found a bug: the program
> '/gnu/store/45qgzlh67nvkwl7ms1g5h7nxq5yavw2i-compute-guix-derivation'
> failed to compute the derivation for Guix (version:
> "78d4a08ac3a1de481bc56eef967a2e5ed2a912d5"; system: "x86_64-linux";
> host version: "1.3.0"; pull-version: 1).
> Please report the COMPLETE output above by email to <[email-masked]>.

Well, I miss why a hash mismatch returns a backtrace and is not nicely
handled.  Hum, something similar had been reported in #59179 [1].

1: <http://issues.guix.gnu.org/msgid/[email-masked]>

Cheers,
simon